{
  description = "Home Control and Home Assistant";

  inputs = {

    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    nixpkgs-stable.url = "github:nixos/nixpkgs/nixos-24.05";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

  };

  outputs = { self, nixpkgs, nixpkgs-stable, home-manager, ... }@inputs:

    let 
    #inherit (self) outputs;
    systems = "x86_64-linux";
    
    in {

      nixosConfigurations = {
        homeControl = nixpkgs.lib.nixosSystem {
          specialArgs = { inherit inputs systems; };
          modules = [ ./nixos/base.nix ./nixos/hosts/homeControl/homeControl.nix ./nixos/users/users.nix];
        };
      };

      homeConfigurations = {
        root = home-manager.lib.homeManagerConfiguration {
          pkgs = nixpkgs.legacyPackages.${systems};
          modules = [ ./home-manager/users/root.nix ];
        };
        errol = home-manager.lib.homeManagerConfiguration {
          pkgs = nixpkgs.legacyPackages.${systems};
          modules = [ ./home-manager/users/errol.nix ];
        };
      };
    };
}
