{ pkgs, ... }: {
  nixpkgs.config = {
    allowUnfree = true;
    permittedInsecurePackages = [ "python-2.7.18.8" ];
  };

  environment.systemPackages = with pkgs; [

    # Coding stuff
    gnumake
    gcc
    python
    (python3.withPackages (ps: with ps; [ requests ]))

    # CLI utils
    neofetch
    file
    jq
    neovim
    tree
    wget
    git
    fastfetch
    htop
    nix-index
    unzip
    ffmpeg
    zip
    openssl
    lazygit

    # GUI utils
    # feh
    # imv
    # dmenu
    # screenkey
    # mako
    # gromit-mpx

    # Xorg stuff
    #xterm
    #xclip
    #xorg.xbacklight

    # Wayland stuff
    # xwayland
    # wl-clipboard
    # cliphist

    # WMs and stuff
    # herbstluftwm
    # hyprland
    # seatd
    # xdg-desktop-portal-hyprland
    # polybar
    # waybar

    # Sound
    # pipewire
    # pulseaudio
    # pamixer

    # GPU stuff 
    # amdvlk
    # rocm-opencl-icd
    # glaxnimate

    # Screenshotting
    # grim
    # grimblast
    # slurp
    # flameshot
    # swappy

    # Other
    home-manager
  ];

  fonts.packages = with pkgs; [
    noto-fonts
    noto-fonts-emoji
    twemoji-color-font
    font-awesome
    powerline-fonts
    powerline-symbols
    (nerdfonts.override { fonts = [ "NerdFontsSymbolsOnly" "Hack" ]; })
  ];
}
