{pkgs, ... }:

{
  imports = [ ./base-packages.nix ./modules/bundle.nix ];

  networking.networkmanager.enable = true;

  time.timeZone = "America/Denver";

  i18n.defaultLocale = "en_US.UTF-8";

  nix.settings.experimental-features = [ "nix-command" "flakes" ];

  nixpkgs.overlays = [ ];

  services.dbus.enable = true;

  programs.zsh.enable = true;
  # Perform garbage collection weekly to maintain low disk usage
  nix.gc = {
    automatic = true;
    dates = "weekly";
    options = "--delete-older-than 1w";
  };

  services = {
    openssh = {
      enable = true;
      settings = {
        PermitRootLogin = "prohibit-password";
        PasswordAuthentication = true;
      };
    };
  };

  system.stateVersion = "24.05";
}
