{ pkgs, ... }:
{
  imports = [
    ./bundle.nix
    ./packages.nix
    ./hardware-configuration.nix
    ../../base.nix
  ];
  
  disabledModules = [ ./modules/xserver.nix ];

  nixpkgs.overlays = [ ];

  networking = {
    hostName = "node1";
    networkmanager.dns = "none";
    defaultGateway = "10.10.8.1";
    nameservers = [ "10.10.8.1" ];
    vlans = {
      iot = {
        interface = "enp1s0";
        id = 30;
      };
    };
    interfaces = {
      enp1s0 = {
       useDHCP = false;
       ipv4.addresses = [{
         address = "10.10.9.11";
         prefixLength = 23;
       }];
      };
    };
  };

  i18n.defaultLocale = "en_US.UTF-8";
  
  networking.firewall.enable = false;

}
