{ pkgs, ... }:
{
  imports = [
    ./bundle.nix
    ./packages.nix
    ./hardware-configuration.nix
    ../../base.nix
  ];
  
  disabledModules = [ ./modules/xserver.nix ];

  nixpkgs.overlays = [ ];

  networking = {
    hostName = "homeControl";
    networkmanager.dns = "none";
    defaultGateway = "10.10.8.1";
    nameservers = [ "10.10.8.1" ];
    vlans = {
      iot = {
        interface = "enp1s0";
        id = 30;
      };
    };
    interfaces = {
      enp1s0 = {
       useDHCP = false;
       ipv4.addresses = [{
         address = "10.10.9.165";
         prefixLength = 23;
       }];
      };
      iot = {
        ipv4.addresses = [{
          address = "172.16.10.20";
          prefixLength = 24;
        }];
      };
    };
  };

  i18n.defaultLocale = "en_US.UTF-8";
  
  networking.firewall.enable = false;

  hardware.bluetooth.settings = {
    General = {
      Enable = "Source,Sink,Media,Socket";
    };
  };

}
