{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
  kubernetes.kubectl
  kubernetes.kubelet
  kubernetes.kubeadm
];
services.kubernetes = {
  enable = true;
  extraConfig = ''
    apiVersion: v1
    kind: KubernetesManifest
    manifestVersion: 1
    spec:
      nodes:
        - role: master
          replicas: 1
          extraArgs:
            service-node-port-range: "30000-32767"
        - role: node
          replicas: 1
  '';
};
}