# /etc/nixos/podman-network.nix
{ pkgs, lib, ... }:

{
  systemd.services.podman-network = {
    description = "Monitor and Create Podman IOT Network";
    after = [ "network.target" ];
    serviceConfig = {
      ExecStart = "/etc/nixos/scripts/create-podman-network.sh";
      Type = "oneshot";
    };
    wantedBy = [ "multi-user.target" ];
  };

  systemd.services.podman-monitor-networks = {
    description = "Connect Podman Container to Additional Networks";
    after = [ "network.target" "podman.service" ];
    requires = [ "podman.service" "homeassistant.service" "podman-avahi.service"];

    serviceConfig = {
      ExecStart=/etc/nixos/scripts/monitor-podman-networks.sh;
      Restart="always";
      RestartSec="30";
      Type= "simple";
    };
    wantedBy = [ "multi-user.target" ];
  };
}
