{ pkgs, ... }: {
  # Enable common container config files in /etc/containers
  virtualisation.containers.enable = true;

  virtualisation.podman = {
    enable = true;

    # Create a `docker` aliasd for podman, to use it as a drop-in replacement
    dockerCompat = true;

    # Required for containers under podman-compose to be able to talk to each other.
    defaultNetwork.settings = {
      dns_enabled = false;
      driver = "macvlan";
      network_interface = "enp1s0";
      ipv6_enabled = false;
      internal = false;
      subnets = [{
        gateway = "10.10.8.1";
        subnet = "10.10.8.0/23";
      }];
    };
  };

  systemd.services.podman = {
    description = "Podman container management service";
    after = [ "nfs-client.target" ];
    requires = [ "nfs-client.target" "validate-nfs-mounts.service" ];
    wantedBy = [ "multi-user.target" ];
  };
}
