#!/run/current-system/sw/bin/bash
PATH="$PATH:/run/current-system/sw/bin"
PODMAN=$(which podman)
if ! $PODMAN network ls | grep -q 'iotnet'; then
  $PODMAN network create \
    --driver macvlan \
    --interface-name=iot \
    --ipam-driver=dhcp \
    iotnet
fi
if ! $PODMAN network ls | grep -q 'guestnet'; then
  $PODMAN network create \
    --driver macvlan \
    --interface-name=guest \
    --ipam-driver=dhcp \
    guestnet
fi
if ! $PODMAN network ls | grep -q 'hostloop'; then
  $PODMAN network create -d macvlan -o parent=enp1s0 \
    --subnet 192.168.1.0/24 \
    --gateway 192.168.1.1 \
    --ip-range 192.168.1.192/27 \
    hostloop
  if ! ip link | grep hostloop-shim >/dev/null 2>&1; then
    ip link add hostloop-shim link enp1s0 type macvlan mode bridge
    ip addr add 192.168.1.223/32 dev hostloop-shim
    ip link set hostloop-shim up
    ip route add 192.168.1.192/27 dev hostloop-shim
  fi
fi
