#!/run/current-system/sw/bin/bash
PATH="$PATH:/run/current-system/sw/bin"
PODMAN=$(which podman)

while true; do
    if $PODMAN network ls | grep -q 'iotnet'; then
        echo "iotnet Exists"

        # Check and connect avahi if not already connected
        if $PODMAN ps | grep -q 'avahi'; then
            echo "Checking avahi connection..."
            if ! $PODMAN inspect avahi | grep -q 'iotnet'; then
                echo "Connecting avahi to iotnet"
                $PODMAN network connect iotnet avahi
            fi
        else
            echo "Avahi container not running"
        fi

        # Check and connect homeassistant if not already connected
        if $PODMAN ps | grep -q 'homeassistant'; then
            echo "Checking homeassistant iotnet connection..."
            if ! $PODMAN inspect homeassistant | grep -q 'iotnet'; then
                echo "Connecting homeassistant to iotnet"
                $PODMAN network connect --mac-address=5e:68:d1:b1:b3:1f iotnet homeassistant
            fi
        else
            echo "Homeassistant container not running"
        fi
        if $PODMAN ps | grep -q 'musicassistant'; then
            echo "Checking homeassistant iotnet connection..."
            if ! $PODMAN inspect musicassistant | grep -q 'iotnet'; then
                echo "Connecting musicassistant to iotnet"
                $PODMAN network connect --mac-address=b2:74:ca:86:dd:24 iotnet musicassistant
            fi
        else
            echo "Homeassistant container not running"
        fi
    else
        echo "Network iotnet does not exist"
    fi
    echo "Hostloop"
    if $PODMAN network ls | grep 'hostloop'; then
        echo "hostloop Exists"

        # Check and connect avahi if not already connected
        if $PODMAN ps | grep -q 'homeassistant'; then
            echo "Checking homeassistant hostloop connection..."
            if ! $PODMAN inspect homeassistant | grep -q 'hostloop'; then
                echo "Connecting homeassistant to hostloop"
                $PODMAN network connect hostloop homeassistant
            fi
        else
            echo "homeassistant container not running"
        fi
    fi
    if $PODMAN network ls | grep 'guestnet'; then
        echo "guestnet Exists"

        # Check and connect avahi if not already connected
        if $PODMAN ps | grep -q 'avahi'; then
            echo "Checking avahi guestnet connection..."
            if ! $PODMAN inspect avahi | grep -q 'guestnet'; then
                echo "Connecting avahi to guestnet"
                $PODMAN network connect guestnet avahi
            fi
        else
            echo "avahi container not running"
        fi
    fi
    echo "Sleeping 30"
    sleep 30
done
