#!/run/current-system/sw/bin/bash

# Update PATH
PATH=$PATH:/run/current-system/sw/bin

# Define version variable
VERSION="2024.8.2"

# Log the PATH
echo "Starting Homeassistant -> $PATH"

# Run the podman command
podman run --rm \
  --name homeassistant \
  --log-driver=journald \
  --cgroups=no-conmon \
  --sdnotify=conmon \
  -d \
  --replace \
  -e TZ='America/Denver' \
  -v /config/hass:/config \
  -v /run/dbus:/run/dbus:ro \
  -v /etc/localtime:/etc/localtime:ro \
  --network=podman \
  --device=/dev/zigbee:/dev/zigbee \
  --ip=10.10.9.38 \
  ghcr.io/home-assistant/home-assistant:$VERSION
